<div class="col-10 offset-1 mt-3">
  <h2>{{title}}</h2>
  <hr>
  <div class="col-6">
    <div  class="alert alert-success" *ngIf="status=='success'">{{message}}</div>
    <div  class="alert alert-danger" *ngIf="status=='error'">{{message}}</div>
    <form #formEdit="ngForm" (ngSubmit)="onSubmit(formEdit)">
      <div class="form-group">
        <label for="name">Nombre</label>
        <input type="text" id="name" name="name" #name="ngModel" [(ngModel)]="user.name" pattern="[a-zA-ZÀ-ÿ ]+"
          class="form-control" required>
        <div class="invalid-feedback d-block" *ngIf="name.invalid && name.touched">El nombre no es válido</div>
      </div>
      <div class="form-group">
        <label for="surname">Apellidos</label>
        <input type="text" id="surname" name="surname" #surname="ngModel" [(ngModel)]="user.surname"
          pattern="[a-zA-ZÀ-ÿ ]+" class="form-control">
        <div class="invalid-feedback d-block" *ngIf="surname.invalid && surname.touched">Los apellidos no son válidos
        </div>
      </div>
      <div class="form-group">
        <label for="email">E-Mail</label>
        <input type="email" id="email" name="email" #email="ngModel" [(ngModel)]="user.email" class="form-control"
          pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,4}$" required>
        <div class="invalid-feedback d-block" *ngIf="email.invalid && email.touched">El E-mail no es válido</div>
      </div>
      <div class="form-group">
          <angular-file-uploader id="avatar"
          [config]="afuConfig"
          [resetUpload]=resetVar
          (ApiResponse)="uploadImage($event)">
         </angular-file-uploader>
      </div>
      <p>
        <input type="submit" [disabled]="formEdit.form.invalid" class="btn btn-success" value="Editar" >
      </p>
    </form>

  </div>
</div>